require_relative "spec_helper"

describe Date do
  
  describe :class do
    
    before do
      @start_date = Date.parse("August 1st, 1985")
      @end_date   = Date.parse("August 1st, 1986")
    end
    
    it "responds to days_between" do
      Date.must_respond_to :days_between
    end
    
    it "responds to weeks_between" do
      Date.must_respond_to :weeks_between
    end
    
    it "responds to months_between" do
      Date.must_respond_to :months_between
    end
    
    it "responds to years_between" do
      Date.must_respond_to :years_between
    end
    
    it "calculates days_between" do
      Date.days_between(@start_date, @end_date).must_equal 365
    end
    
    it "calculates weeks_between" do
      Date.weeks_between(@start_date, @end_date).must_equal 52
    end
    
    it "calculates months between" do
      Date.months_between(@start_date, @end_date).must_equal 12
    end
    
    it "calculates years between" do
      Date.years_between(@start_date, @end_date).must_equal 1
    end
    
  end
  
end